@echo off
echo -------------------------------------------------------------------------
echo .
echo    This batch file will build the bank of sound effects required for the
echo    str_sfx example.
echo .
echo .  The header (str_sfx.h) is placed into the project directory and the
echo .  bank is placed in the GD Workshop directory (..\gd_root\)
echo -------------------------------------------------------------------------

rem this .scc file is vss chaff...
del wav\*.scc

echo Making Stream File...
mkstream s_Hip101.wav ..\gd_root\s_hip101.str abstract abstract.txt halfPlayBufferSizeInSectors 4 leadIn 1 leadOut 2

pause

mkscript str_sfx.kat assetPath wav\

echo Now... edit the script so the sounds that say loop in the name have
echo the Loop flag set to 1
pause

edit str_sfx.oss

mkbank str_sfx.oss headerPath ..\ bankPath ..\gd_root\ 

